Subject: bug#44338: 27.1; EWW can't download and view pdf

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 05 Nov 2020 20:40:26 +0000

Lars Ingebrigtsen <[email-masked]> writes:

>> [BTW, I don't see the function mailcap-add used anywhere.]
>
> It's for usage by users, I think?

When I do:

0. emacs -Q
1. (progn
     (require 'mailcap)
     (mailcap-add "application/pdf" "mupdf %s")
     mailcap-user-mime-data)
2. C-j

This results in:

  (("application"
    ("pdf"
     (viewer . "mupdf %s")
     (test . t)
     (type . "application/pdf"))))

But mailcap-user-mime-data is documented as being a list of

  ((viewer . VIEWER)
   (type   . MIME-TYPE)
   (test   . TEST))

Isn't this a bug?  The documentation of mailcap-add doesn't exactly
welcome the user either...

Thanks,

-- 
Basil